/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __ABSTRACTION_H__
#define __ABSTRACTION_H__

int read_partition_list(kdev_t ** ptr);
int get_device_sector_size(kdev_t device);
int scan_dev_for_pool_label(kdev_t dev, pool_label_t * label);
int test_for_false_multipathing(kdev_t, kdev_t);
int bdopen(kdev_t dev);
int bdclose(kdev_t dev);
int register_pool(pool_t * new, int minor);
int unregister_pool(int minor);

#endif				/* __ABSTRACTION_H__ */
