/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __POOL_SPTYPES_H__
#define __POOL_SPTYPES_H__

/*  Generic Labels  */

#define SPTYPE_DATA                (0x00000000)

/*  GFS specific labels  */

#define SPTYPE_GFS_DATA            (0x68011670)
#define SPTYPE_GFS_JOURNAL         (0x69011670)

#ifdef WANT_SPTYPE_NAMES

struct sptype_names {
	char *name;
	uint32_t label;
};
typedef struct sptype_names sptype_names_t;

const sptype_names_t sptype_names[] = {
	{"data", SPTYPE_DATA},

	{"gfs_data", SPTYPE_GFS_DATA},
	{"gfs_journal", SPTYPE_GFS_JOURNAL},

	{"", 0x0}		/*  This must be the last flag.  */
};

#endif				/*  WANT_SPTYPE_NAMES  */

#endif				/*  __POOL_SPTYPES_H__  */
