/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __POOLSTD_H__
#define __POOLSTD_H__

#define POOL_MAGIC 		0x011670
#define POOL_MAX_DEVICES 	128
#define POOL_MAX_MULTIPATH	8
#define POOL_NAME_SIZE          (256)

/* When checking for version matching, the first to numbers **
** are important for metadata formats, a.k.a pool labels.   **
** All the numbers are important when checking if the user  **
** space tools match up with the kernel module............. */
#define POOL_VERSION		(NSPMajorVersion << 16 | \
				 NSPMinorVersion <<  8 | \
				 NSPUpdateLevel)

#endif				/* __POOLSTD_H__ */
