/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**  
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/
#ifndef __CCS_FT_H__
#define __CCS_FT_H__

#define CCS_DEFAULT_BEPORT 50005 /* Default backend port number */
#define CCS_DEFAULT_FEPORT 50006 /* Default frontend port number */

#define CCS_FTH_MAGIC 0x101674

/* CCS File Transfer Header */
typedef struct ccs_fth_s {
  unsigned int fth_magic;  /* magic number */
  unsigned int fth_count;  /* number of bytes in payload */
  unsigned int fth_last;   /* last package */
  int fth_error;
} ccs_fth_t;

#endif /* __CCS_FT_H__ */

