/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __COMMON_H__
#define __COMMON_H__
int remove_pool(uint32_t, uint32_t);
int assemble_pools(char *, int);
int free_pool(pool_t * pool);
int restore_pool_paths(pool_t * pool);

int count_pool(int *);
int list_pool(uint32_t major, pool_list_t * list);
int list_spool(pool_t * pp, pool_splist_t * param);
int list_pooldevs(pool_t * pp, pool_devlist_t * param);

int pool_blkmap(pool_t * pp, uint64_t psector, uint32_t pbcount,
		uint64_t * dev_sector, uint32_t * dev_bcount,
		device_t ** out_dev);
int open_devices(pool_t * pp, int beginning);
int close_devices(pool_t * pp);

#endif				/* __COMMON_H__ */
