/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**  
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __TEST_CCS_H__
#define __TEST_CCS_H__

/* test_ccs -
 * @dir_name:
 * @verbose:
 *
 * This function uses CCS to gain access to cluster information.
 * It then validates that all the necessary information is
 * available for a working GFS system.
 *
 * Returns: 0 on success, -1 on failure.
 */

int test_ccs(char *dir_name, int verbose);

#endif /* __TEST_CCS_H__*/
